Loading...
Searching...
No Matches
nc4internal.c File Reference
`#include "config.h"`
`#include <stdarg.h>`
`#include <stddef.h>`
`#include "netcdf.h"`
`#include "netcdf_filter.h"`
`#include "netcdf_meta.h"`
`#include "nc4internal.h"`
`#include "nc.h"`
`#include "ncdispatch.h"`
`#include "ncutf8.h"`
`#include "ncrc.h"`
Include dependency graph for nc4internal.c:

Go to the source code of this file.

## Macros

#define | NRESERVED (sizeof(NC_reserved) / sizeof(NC_reservedatt)) /*|NC_reservedatt*/

## Functions

static int | bincmp (const void *arg1, const void *arg2)
static int | dim_free (NC_DIM_INFO_T *dim)
static void | field_free (NC_FIELD_INFO_T *field)
int | nc4_att_free (NC_ATT_INFO_T *att)
int | nc4_att_list_add (NCindex *list, const char *name, NC_ATT_INFO_T **att)
int | nc4_att_list_del (NCindex *list, NC_ATT_INFO_T *att)
int | nc4_check_dup_name (NC_GRP_INFO_T *grp, char *name)
int | nc4_check_name (const char *name, char *norm_name)
int | nc4_dim_list_add (NC_GRP_INFO_T *grp, const char *name, size_t len, int assignedid, NC_DIM_INFO_T **dim)
int | nc4_dim_list_del (NC_GRP_INFO_T *grp, NC_DIM_INFO_T *dim)
int | nc4_enum_member_add (NC_TYPE_INFO_T *parent, size_t size, const char *name, const void *value)
int | nc4_field_list_add (NC_TYPE_INFO_T *parent, const char *name, size_t offset, nc_type xtype, int ndims, const int *dim_sizesp)
int | nc4_file_change_ncid (int ncid, unsigned short new_ncid_index)
int | nc4_file_list_add (int ncid, const char *path, int mode, void **dispatchdata)
int | nc4_file_list_del (int ncid)
int | nc4_file_list_get (int ncid, char **path, int *mode, void **dispatchdata)
int | nc4_find_dim (NC_GRP_INFO_T *grp, int dimid, NC_DIM_INFO_T **dim, NC_GRP_INFO_T **dim_grp)
int | nc4_find_grp_att (NC_GRP_INFO_T *grp, int varid, const char *name, int attnum, NC_ATT_INFO_T **att)
int | nc4_find_grp_h5 (int ncid, NC_GRP_INFO_T **grp, NC_FILE_INFO_T **h5)
int | nc4_find_grp_h5_var (int ncid, int varid, NC_FILE_INFO_T **h5, NC_GRP_INFO_T **grp, NC_VAR_INFO_T **var)
int | nc4_find_nc4_grp (int ncid, NC_GRP_INFO_T **grp)
int | nc4_find_nc_att (int ncid, int varid, const char *name, int attnum, NC_ATT_INFO_T **att)
int | nc4_find_nc_grp_h5 (int ncid, NC **nc, NC_GRP_INFO_T **grp, NC_FILE_INFO_T **h5)
int | nc4_find_type (const NC_FILE_INFO_T *h5, nc_type typeid, NC_TYPE_INFO_T **type)
int | nc4_find_var (NC_GRP_INFO_T *grp, const char *name, NC_VAR_INFO_T **var)
int | nc4_grp_list_add (NC_FILE_INFO_T *h5, NC_GRP_INFO_T *parent, char *name, NC_GRP_INFO_T **grp)
static int | NC4_move_in_NCList (NC *nc, int new_id)
int | nc4_nc4f_list_add (NC *nc, const char *path, int mode)
int | nc4_nc4f_list_del (NC_FILE_INFO_T *h5)
int | nc4_normalize_name (const char *name, char *norm_name)
NC_TYPE_INFO_T * | nc4_rec_find_named_type (NC_GRP_INFO_T *start_grp, char *name)
int | nc4_rec_grp_del (NC_GRP_INFO_T *grp)
int | nc4_rec_grp_del_att_data (NC_GRP_INFO_T *grp)
int | NC4_show_metadata (int ncid)
int | nc4_type_free (NC_TYPE_INFO_T *type)
int | nc4_type_list_add (NC_GRP_INFO_T *grp, size_t size, const char *name, NC_TYPE_INFO_T **type)
int | nc4_type_new (size_t size, const char *name, int assignedid, NC_TYPE_INFO_T **type)
int | nc4_var_list_add (NC_GRP_INFO_T *grp, const char *name, int ndims, NC_VAR_INFO_T **var)
int | nc4_var_list_add2 (NC_GRP_INFO_T *grp, const char *name, NC_VAR_INFO_T **var)
int | nc4_var_list_del (NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var)
int | nc4_var_set_ndims (NC_VAR_INFO_T *var, int ndims)
const NC_reservedatt * | NC_findreserved (const char *name)
void | NC_initialize_reserved (void)
static void | obj_track (NC_FILE_INFO_T *file, NC_OBJ *obj)
static int | sortcmp (const void *arg1, const void *arg2)
static int | var_free (NC_VAR_INFO_T *var)

## Variables

static NC_reservedatt | NC_reserved []

## Macro Definition Documentation

## NRESERVED

#define NRESERVED (sizeof(NC_reserved) / sizeof(NC_reservedatt)) /*|NC_reservedatt*/

Definition at line 62 of file nc4internal.c.

## Function Documentation

## bincmp()

int bincmp | ( | const void * | arg1,
|  | const void * | arg2 )

static

Definition at line 2087 of file nc4internal.c.

## dim_free()

int dim_free | ( | NC_DIM_INFO_T * | dim | ) |

static

Definition at line 1463 of file nc4internal.c.

## field_free()

void field_free | ( | NC_FIELD_INFO_T * | field | ) |

static

Definition at line 1248 of file nc4internal.c.

## nc4_att_free()

int nc4_att_free | ( | NC_ATT_INFO_T * | att | ) |

Definition at line 1339 of file nc4internal.c.

## nc4_att_list_add()

int nc4_att_list_add | ( | NCindex * | list,
|  | const char * | name,
|  | NC_ATT_INFO_T ** | att )

Definition at line 920 of file nc4internal.c.

## nc4_att_list_del()

int nc4_att_list_del | ( | NCindex * | list,
|  | NC_ATT_INFO_T * | att )

Definition at line 1618 of file nc4internal.c.

## nc4_check_dup_name()

int nc4_check_dup_name | ( | NC_GRP_INFO_T * | grp,
|  | char * | name )

Definition at line 1025 of file nc4internal.c.

## nc4_check_name()

int nc4_check_name | ( | const char * | name,
|  | char * | norm_name )

Definition at line 162 of file nc4internal.c.

## nc4_dim_list_add()

int nc4_dim_list_add | ( | NC_GRP_INFO_T * | grp,
|  | const char * | name,
|  | size_t | len,
|  | int | assignedid,
|  | NC_DIM_INFO_T ** | dim )

Definition at line 861 of file nc4internal.c.

## nc4_dim_list_del()

int nc4_dim_list_del | ( | NC_GRP_INFO_T * | grp,
|  | NC_DIM_INFO_T * | dim )

Definition at line 1486 of file nc4internal.c.

## nc4_enum_member_add()

int nc4_enum_member_add | ( | NC_TYPE_INFO_T * | parent,
|  | size_t | size,
|  | const char * | name,
|  | const void * | value )

Definition at line 1209 of file nc4internal.c.

## nc4_field_list_add()

int nc4_field_list_add | ( | NC_TYPE_INFO_T * | parent,
|  | const char * | name,
|  | size_t | offset,
|  | nc_type | xtype,
|  | int | ndims,
|  | const int * | dim_sizesp )

Definition at line 1152 of file nc4internal.c.

## nc4_file_change_ncid()

int nc4_file_change_ncid | ( | int | ncid,
|  | unsigned short | new_ncid_index )

Definition at line 255 of file nc4internal.c.

## nc4_file_list_add()

int nc4_file_list_add | ( | int | ncid,
|  | const char * | path,
|  | int | mode,
|  | void ** | dispatchdata )

Definition at line 219 of file nc4internal.c.

## nc4_file_list_del()

int nc4_file_list_del | ( | int | ncid | ) |

Definition at line 1639 of file nc4internal.c.

## nc4_file_list_get()

int nc4_file_list_get | ( | int | ncid,
|  | char ** | path,
|  | int * | mode,
|  | void ** | dispatchdata )

Definition at line 298 of file nc4internal.c.

## nc4_find_dim()

int nc4_find_dim | ( | NC_GRP_INFO_T * | grp,
|  | int | dimid,
|  | NC_DIM_INFO_T ** | dim,
|  | NC_GRP_INFO_T ** | dim_grp )

Definition at line 519 of file nc4internal.c.

## nc4_find_grp_att()

int nc4_find_grp_att | ( | NC_GRP_INFO_T * | grp,
|  | int | varid,
|  | const char * | name,
|  | int | attnum,
|  | NC_ATT_INFO_T ** | att )

Definition at line 637 of file nc4internal.c.

## nc4_find_grp_h5()

int nc4_find_grp_h5 | ( | int | ncid,
|  | NC_GRP_INFO_T ** | grp,
|  | NC_FILE_INFO_T ** | h5 )

Definition at line 410 of file nc4internal.c.

## nc4_find_grp_h5_var()

int nc4_find_grp_h5_var | ( | int | ncid,
|  | int | varid,
|  | NC_FILE_INFO_T ** | h5,
|  | NC_GRP_INFO_T ** | grp,
|  | NC_VAR_INFO_T ** | var )

Definition at line 476 of file nc4internal.c.

## nc4_find_nc4_grp()

int nc4_find_nc4_grp | ( | int | ncid,
|  | NC_GRP_INFO_T ** | grp )

Definition at line 389 of file nc4internal.c.

## nc4_find_nc_att()

int nc4_find_nc_att | ( | int | ncid,
|  | int | varid,
|  | const char * | name,
|  | int | attnum,
|  | NC_ATT_INFO_T ** | att )

Definition at line 694 of file nc4internal.c.

## nc4_find_nc_grp_h5()

int nc4_find_nc_grp_h5 | ( | int | ncid,
|  | NC ** | nc,
|  | NC_GRP_INFO_T ** | grp,
|  | NC_FILE_INFO_T ** | h5 )

Definition at line 430 of file nc4internal.c.

## nc4_find_type()

int nc4_find_type | ( | const NC_FILE_INFO_T * | h5,
|  | nc_type | typeid,
|  | NC_TYPE_INFO_T ** | type )

Definition at line 601 of file nc4internal.c.

## nc4_find_var()

int nc4_find_var | ( | NC_GRP_INFO_T * | grp,
|  | const char * | name,
|  | NC_VAR_INFO_T ** | var )

Definition at line 547 of file nc4internal.c.

## nc4_grp_list_add()

int nc4_grp_list_add | ( | NC_FILE_INFO_T * | h5,
|  | NC_GRP_INFO_T * | parent,
|  | char * | name,
|  | NC_GRP_INFO_T ** | grp )

Definition at line 963 of file nc4internal.c.

## NC4_move_in_NCList()

int NC4_move_in_NCList | ( | NC * | nc,
|  | int | new_id )

static

Definition at line 2067 of file nc4internal.c.

## nc4_nc4f_list_add()

int nc4_nc4f_list_add | ( | NC * | nc,
|  | const char * | path,
|  | int | mode )

Definition at line 337 of file nc4internal.c.

## nc4_nc4f_list_del()

int nc4_nc4f_list_del | ( | NC_FILE_INFO_T * | h5 | ) |

Definition at line 1666 of file nc4internal.c.

## nc4_normalize_name()

int nc4_normalize_name | ( | const char * | name,
|  | char * | norm_name )

Definition at line 1712 of file nc4internal.c.

## nc4_rec_find_named_type()

NC_TYPE_INFO_T * nc4_rec_find_named_type | ( | NC_GRP_INFO_T * | start_grp,
|  | char * | name )

Definition at line 566 of file nc4internal.c.

## nc4_rec_grp_del()

int nc4_rec_grp_del | ( | NC_GRP_INFO_T * | grp | ) |

Definition at line 1508 of file nc4internal.c.

## nc4_rec_grp_del_att_data()

int nc4_rec_grp_del_att_data | ( | NC_GRP_INFO_T * | grp | ) |

Definition at line 1568 of file nc4internal.c.

## NC4_show_metadata()

int NC4_show_metadata | ( | int | ncid | ) |

Definition at line 2014 of file nc4internal.c.

## nc4_type_free()

int nc4_type_free | ( | NC_TYPE_INFO_T * | type | ) |

Definition at line 1270 of file nc4internal.c.

## nc4_type_list_add()

int nc4_type_list_add | ( | NC_GRP_INFO_T * | grp,
|  | size_t | size,
|  | const char * | name,
|  | NC_TYPE_INFO_T ** | type )

Definition at line 1106 of file nc4internal.c.

## nc4_type_new()

int nc4_type_new | ( | size_t | size,
|  | const char * | name,
|  | int | assignedid,
|  | NC_TYPE_INFO_T ** | type )

Definition at line 1063 of file nc4internal.c.

## nc4_var_list_add()

int nc4_var_list_add | ( | NC_GRP_INFO_T * | grp,
|  | const char * | name,
|  | int | ndims,
|  | NC_VAR_INFO_T ** | var )

Definition at line 834 of file nc4internal.c.

## nc4_var_list_add2()

int nc4_var_list_add2 | ( | NC_GRP_INFO_T * | grp,
|  | const char * | name,
|  | NC_VAR_INFO_T ** | var )

Definition at line 748 of file nc4internal.c.

## nc4_var_list_del()

int nc4_var_list_del | ( | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var )

Definition at line 1440 of file nc4internal.c.

## nc4_var_set_ndims()

int nc4_var_set_ndims | ( | NC_VAR_INFO_T * | var,
|  | int | ndims )

Definition at line 798 of file nc4internal.c.

## NC_findreserved()

const NC_reservedatt * NC_findreserved | ( | const char * | name | ) |

Definition at line 2041 of file nc4internal.c.

## NC_initialize_reserved()

void NC_initialize_reserved | ( | void |  | ) |

Definition at line 2095 of file nc4internal.c.

## obj_track()

void obj_track | ( | NC_FILE_INFO_T * | file,
|  | NC_OBJ * | obj )

static

Definition at line 720 of file nc4internal.c.

## sortcmp()

int sortcmp | ( | const void * | arg1,
|  | const void * | arg2 )

static

Definition at line 2079 of file nc4internal.c.

## var_free()

int var_free | ( | NC_VAR_INFO_T * | var | ) |

static

Definition at line 1380 of file nc4internal.c.

## Variable Documentation

## NC_reserved

NC_reservedatt NC_reserved[]

static

Initial value:
= {
{NC_ATT_CLASS, READONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_DIMENSION_LIST, READONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_NAME, READONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_REFERENCE_LIST, READONLYFLAG|HIDDENATTRFLAG},
{NC_XARRAY_DIMS, READONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_CODECS, VARFLAG|READONLYFLAG|NAMEONLYFLAG},
{NC_ATT_FORMAT, READONLYFLAG},
{ISNETCDF4ATT, READONLYFLAG|NAMEONLYFLAG|VIRTUALFLAG},
{NCPROPS,READONLYFLAG|NAMEONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_COORDINATES, READONLYFLAG|HIDDENATTRFLAG},
{NC_ATT_DIMID_NAME, READONLYFLAG|HIDDENATTRFLAG},
{SUPERBLOCKATT, READONLYFLAG|NAMEONLYFLAG|VIRTUALFLAG},
{NC_ATT_NC3_STRICT_NAME, READONLYFLAG},
{NC_NCZARR_ATTR, READONLYFLAG|HIDDENATTRFLAG},
{NC_NCZARR_GROUP, READONLYFLAG|HIDDENATTRFLAG},
{NC_NCZARR_ARRAY, READONLYFLAG|HIDDENATTRFLAG},
{NC_NCZARR_SUPERBLOCK, READONLYFLAG|HIDDENATTRFLAG},
}

Definition at line 43 of file nc4internal.c.